Bug 765664 - CVE-2011-4516 CVE-2011-4517 mingw32-jasper: heap buffer overflow flaws lead to arbitrary code execution (CERT VU#887409) [fedora-all]
CVE-2011-4516 CVE-2011-4517 mingw32-jasper: heap buffer overflow flaws lead t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-jasper (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
fst_owner=jtaylor, fst_ping=1
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4516/CVE-2011-4517
  Show dependency treegraph
 
Reported: 2011-12-08 22:35 EST by Huzaifa S. Sidhpurwala
Modified: 2015-04-06 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-jasper-1.900.1-24.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-16 23:41:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-12-08 22:35:44 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=747726

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora End Of Life 2012-08-07 15:15:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Huzaifa S. Sidhpurwala 2012-08-07 23:02:02 EDT
This issue is not fixed yet, re-opening the bug
Comment 3 Fedora End Of Life 2013-01-16 16:26:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-26 10:23:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Michael Cronenworth 2014-08-05 09:40:41 EDT
This was never addressed.

The native package has a patch as well as patches for other security issues.
Comment 6 pjp 2014-12-03 13:22:28 EST
Hello rjones,

Could you please fix this soon?
Comment 7 Richard W.M. Jones 2014-12-03 13:24:10 EST
I'm not really involved with mingw much.  This bug should
have been assigned to Erik or Kai Tietz.
Comment 8 Orion Poplawski 2014-12-05 11:48:06 EST
Richard then you should give to package to Erik in pkgdb - https://admin.fedoraproject.org/pkgdb/package/mingw-jasper/
Comment 9 Fedora Update System 2014-12-13 15:49:07 EST
mingw-jasper-1.900.1-24.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-jasper-1.900.1-24.fc21
Comment 10 Fedora Update System 2014-12-13 15:49:54 EST
mingw-jasper-1.900.1-24.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-jasper-1.900.1-24.fc20
Comment 11 Fedora Update System 2014-12-13 15:51:04 EST
mingw-jasper-1.900.1-24.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-jasper-1.900.1-24.fc19
Comment 12 Fedora Update System 2014-12-14 23:28:42 EST
Package mingw-jasper-1.900.1-24.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-jasper-1.900.1-24.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16961/mingw-jasper-1.900.1-24.fc21
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-12-16 23:41:01 EST
mingw-jasper-1.900.1-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-12-16 23:41:31 EST
mingw-jasper-1.900.1-24.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-12-16 23:47:01 EST
mingw-jasper-1.900.1-24.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.